Bug 139629 - Locally connected Epson printers fail to print in Fedora 3
Locally connected Epson printers fail to print in Fedora 3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 19:26 EST by Hardy Mayer
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-18 06:18:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/usr/share/foomatic/db/source/printer/Epson-Stylus_Color_777.xml (2.00 KB, text/plain)
2004-11-17 13:16 EST, Tim Waugh
no flags Details

  None (edit)
Description Hardy Mayer 2004-11-16 19:26:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
# printtool
No match for USB device:
  mfr "EPSON"
  model "Stylus COLOR 777"
  desc "EPSON Stylus COLOR 777"
  cmdset "ESCPL2,BDC,D4"
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.


Version-Release number of selected component (if applicable):
foomatic-3.0.2-3

How reproducible:
Always

Steps to Reproduce:
1.Update to Fedora Core 3.0
2. Printing fails
3.Invoke printtool as root
    

Actual Results:  The Epson Stylus 777 connected via USB to
/dev/usb/lp0 is rcognized but fails to print. 
Ditto with a parallel port connection to /dev/lp0
The error message above appears when invoking printtool 

Expected Results:  Printing, as before in Fedora Core 2. 

Additional info:

Printing to a networked printer works, but not with the tes-page from
printtool.
Comment 1 Tim Waugh 2004-11-17 09:27:46 EST
Please confirm the product you are using: this is filed against Red Hat
Enterprise Linux 3, but you mention Fedora Core 3.  Which one are you using?
Comment 2 Hardy Mayer 2004-11-17 11:33:58 EST
Sorry, I did not notice the fc3 entry at the top of the menu.
i am using FC3 (with all the updates till 11/16).
I tried three different kernels (2.6.9 custom, 2.6.7, and 
-2.6.9-1.667) with the same effect.
usbview lists the printer just like in FC2, and other USB devices
(scanner, storage) work fine.
Comment 3 Tim Waugh 2004-11-17 13:16:18 EST
Created attachment 106901 [details]
/usr/share/foomatic/db/source/printer/Epson-Stylus_Color_777.xml

Please save this attachment and copy it to
/usr/share/foomatic/db/source/printer/Epson-Stylus_Color_777.xml.

Then I'd like you to run printtool again and see if the correct printer model
is selected automatically.  I understand that there are additional problems
beyond getting the model automatically selected, but I'd like to concentrate on
this part first.
Comment 4 Hardy Mayer 2004-11-17 15:16:34 EST
With the new xml file the printer is recognized , though the gui
interface is very slow. I am  testing it further and will report back
if problems arise. 
Comment 5 Hardy Mayer 2004-11-17 15:32:28 EST
Seems to work fine now -- even as a shared printer from my 
Macintosh powerbook.
Thanks for the help!
Comment 6 Tim Waugh 2004-11-18 06:18:07 EST
Great, thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.